# Market capitalization

For purposes of transparency, Ripple provides an application programming interface (API) that you can use to query the current market capitalization information — the amount of RLUSD in total issuance — for the RLUSD stablecoin, across all supported blockchain networks.

**Base URL:** `https://api.ripple.com`

## API operations

| Method | Path | Description (link to reference) |
|  --- | --- | --- |
| `GET` | `/v1/stablecoin/market-cap{currencyCode}/total` | [Get total supply](/products/stablecoin/api/reference/rlusd-openapi#operation/getMarketCapTotal) for all supported blockchain networks |
| `GET` | `/v1/stablecoin/market-cap{currencyCode}/total/amount` | [Get total supply amount](/products/stablecoin/api/reference/rlusd-openapi#operation/getMarketCapTotalAmount) as a single numeric string |
| `GET` | `/v1/stablecoin/market-cap{currencyCode}/circulating` | [Get circulating supply](/products/stablecoin/api/reference/rlusd-openapi#operation/getMarketCapCirculating) for all supported blockchain networks |
| `GET` | `/v1/stablecoin/market-cap{currencyCode}/circulating/amount` | [Get circulating supply amount](/products/stablecoin/api/reference/rlusd-openapi#operation/getMarketCapCirculatingAmount) as a single numeric string |


Note
The market-cap API operations do not require authentication.

For example, the following API calls (URLs) display the indicated information:

* [https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/total](https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/total) – Gets the total supply (as a JSON payload) for the RLUSD currency, for all supported blockchain networks.
* [https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/total/amount](https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/total/amount) – Gets the total supply balance as a single numeric string.
* [https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/circulating](https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/circulating) – Gets the circulating supply (as a JSON payload) for the RLUSD currency, for all supported blockchain networks.
* [https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/circulating/amount](https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/circulating/amount) – Gets the circulating supply amount of RLUSD as a single numeric string.


As these are JSON payloads, you can combine them with other JSON processing applications, such as the **jq** command-line tool, to format the output.

For example, the following command:

`curl -s https://api.ripple.com/v1/stablecoin/market-cap/RLUSD/total | jq .`

displays the following:


```json
{
  "balance": {
    "amount": "1527016168.127282682092924098"
  },
  "chainBalances": {
    "XRPL_MAINNET": {
      "amount": "305845839.2916726",
      "ledgerIndex": 103006096
    },
    "BASE_MAINNET": {
      "amount": "0.00",
      "ledgerIndex": 43624666
    },
    "OP_MAINNET": {
      "amount": "0.00",
      "ledgerIndex": 149220141
    },
    "INK_MAINNET": {
      "amount": "0.00",
      "ledgerIndex": 40539639
    },
    "ETH_MAINNET": {
      "amount": "1221170328.835610082092924098",
      "ledgerIndex": 24701441
    },
    "XRPL_EVM_MAINNET": {
      "amount": "0.00",
      "ledgerIndex": 5024359
    },
    "UNICHAIN_MAINNET": {
      "amount": "0.00",
      "ledgerIndex": 43289959
    }
  }
}
```